/* -------- */
/* JOB LIST */
/* -------- */
.cig--jobcard-wrapper{
  margin: 20px 0;
}
ul.cig--jobsearch-joblist-grid-wrapper {
  list-style: none;
  margin: 0;
  padding: 0;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: repeat(2, 1fr);
  gap: 20px;
}
li.cig--jobsearch-joblist-item {
  background: var(--color-blue-light-bg);
  border-radius: 10px;
  padding: 15px;
  cursor: pointer;
}
li.cig--jobsearch-joblist-item.active {
  border: 1px solid var(--color-blue-light);
}
li.cig--jobsearch-joblist-item:hover h2.cig--jobsearch-joblist-title {
  text-decoration: underline;
}
.cig--jobsearch-head-wrapper {
  display: flex;
  flex-direction: row;
  gap: 15px;
  justify-content: space-between;
  margin-bottom: 10px;
}
h2.cig--jobsearch-joblist-title {
  margin: 0;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  overflow: hidden;
  color: var(--color-blue-dark);
  font-size: 18px;
  line-height: 1.4;
  font-weight: bold;
  transition: color 0.2s ease;
}
h2.cig--jobsearch-joblist-title a {
  color: inherit;
  text-decoration: none;
}
h2.cig--jobsearch-joblist-title a:hover {
  color: var(--color-blue-light);
}
img.cig--jobsearch-joblist-img {
  pointer-events: none;
  width: 54px;
  height: 54px;
  padding: 5px;
  background: var(--color-white);
  border-radius: 10px;
  object-fit: contain;
}
ul.cig--jobsearch-joblist-location-wrapper {
  pointer-events: none;
  list-style: none;
  margin: 10px 0 0;
  padding: 0;
  color: var(--color-blue-light-text);
  font-size: 14px;
  font-weight: 400;
  line-height: 1.4;
  display: flex;
  flex-direction: column;
  gap: 2px;
}
strong.cig--jobsearch-joblist-price {
  pointer-events: none;
  color: var(--color-blue-dark);
  font-size: 16px;
  line-height: 1.4;
  font-weight: bold;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  overflow: hidden;
}
ul.cig--jobsearch-joblist-metadata-wrapper {
  pointer-events: none;
  width: 100%;
  margin: 12px 0 0 0;
  padding: 0;
  list-style: none;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 5px;
}
li.cig--jobsearch-joblist-metadata-item {
  padding: 5px 10px;
  border-radius: 50px;
  background: var(--color-white);
  font-size: 12px;
  font-weight: 600;
  color: var(--color-grey-dark-text);
  white-space: nowrap;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 1;
  box-shadow: 0px 1px 6px 0px rgba(0, 0, 0, 0.06);
  -webkit-box-shadow: 0px 1px 6px 0px rgba(0, 0, 0, 0.06);
  -moz-box-shadow: 0px 1px 6px 0px rgba(0, 0, 0, 0.06);
}
/* Load More BTN */
.cig--jobsearch-loadmore-wrapper {
  display: flex;
  justify-content: center;
}
@media (max-width: 768px) {
  ul.cig--jobsearch-joblist-grid-wrapper {
    list-style: none;
    margin: 0;
    padding: 0;
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    grid-template-rows: repeat(1, 1fr);
    gap: 20px;
  }
  .cig--primary-header-default.cig--primary-header-centered-mb {
    text-align: center;
  }
  h2.cig--primary-header-default.cig--primary-header-centered-mb::after {
    left: 50%;
    transform: translateX(-50%);
  }
}
